# Gimp.smudge

    @accepts(Gimp.Drawable, float, gsize, [float])
    @returns(bool)
    def smudge(drawable, pressure, num_strokes, strokes):
        # Python wrapper for gimp_smudge()

Smudge image with varying pressure.

This tool simulates a smudge using the current brush. High pressure results in a greater smudge of paint while low pressure results in a lesser smudge.

drawable

  The affected drawable.

pressure

  The pressure of the smudge strokes.

num_strokes

  Number of stroke control points (count each coordinate as 2 points).

strokes

  Array of stroke coordinates: { s1.x, s1.y, s2.x, s2.y, ..., sn.x, sn.y }.

Returns